using Femto.Modules.Auth.Models;

namespace Femto.Modules.Auth.Application.Dto;

public record SessionDto(
    string SessionId,
    DateTimeOffset Expires,
    bool Weak,
    string? RememberMe = null
)
{
    internal SessionDto(Session session)
        : this(session.Id, session.Expires, !session.IsStronglyAuthenticated) { }

    internal SessionDto(Session session, string? rememberMe)
        : this(session.Id, session.Expires, !session.IsStronglyAuthenticated, rememberMe) { }
}
